<?php
//potrebujem si sem vlozit triedu pre pripojenie k databaze a pracu s nou pri instalacii
$meno_suboru="class_db_handling.php";
	if(file_exists($meno_suboru)){
	require_once($meno_suboru);
	}else{
	echo("Nenašiel som súbor ".$meno_suboru." pre vloženie do skriptu. Ukončím vykonávanie skriptu.");
	exit;
	}


//vlozenie funkcii generujucich zaciatok, obsah a koniec suboru
	$meno_suboru="functions_for_layout.php";
	if(file_exists($meno_suboru)){
	require_once($meno_suboru);
	}else{
	echo("Nenašiel som súbor ".$meno_suboru." pre vloženie do skriptu. Ukončím vykonávanie skriptu.");
	exit;
	}


//tato funkcia zapise konfiguracne udaje zadane pri instalacii systemu GenY
//toto su tie udaje z toho dormulara
//zapisu sa do suboru db_conf.php odkial ich mozeme citat pre pristup k db 
function zapis_db_conf($dbname,$dbuser,$dbhost,$dbpass){
//odstranenie tagov a sql injekcie

$dbname_=htmlentities(strip_tags($dbname));
$dbuser_=htmlentities(strip_tags($dbuser));
$dbhost_=htmlentities(strip_tags($dbhost));
$dbpass_=htmlentities(strip_tags($dbpass));

//odstranenie nepovolenych znakov
$err=0;
$vzor ='/[^A-Za-z0-9\.\-\_]/';
if(preg_match($vzor,$dbname_)) $err=1;
if(preg_match($vzor,$dbhost_)) $err=1;
if(preg_match($vzor,$dbpass_)) $err=1;
if(preg_match($vzor,$dbuser_)) $err=1;  

if(strlen(trim($dbname_))<1) $err=1;
if(strlen(trim($dbhost_))<4) $err=1;
if(strlen(trim($dbpass_))<4) $err=1;
if(strlen(trim($dbuser_))<1) $err=1;

if($err==1){
	echo "<div id=\"content\" class=\"content\">";
	echo "<div class=\"pasik\">Chyba pri inšalácií</div>";
 	echo "<div class=\"sirka_pasik\">";
	echo("Zistilo sa, že vstupné údaje zadané do formulára nezodpovedajú pravidlám zadávania. Skúste znova. Môžete zadať len písmená, číslice, pomlčka, bodka a podtržník!");
	echo("<br />Koniec.");
	echo "</div>";
	echo "</div>";
	exit;
}

$meno_suboru = "db_conf.php"; //sem budem zapisovat
$obsahu_suboru = "<?php\n\$dbname=\"".$dbname_."\";\n\$dbuser=\"".$dbuser_."\";\n\$dbhost=\"".$dbhost_."\";\n\$dbpass=\"".$dbpass_."\";\n?>\n"; //toto zapisem do suboru

// pozrime sa, ci subor existuje a ci sa da do neho zapisovat
if (is_writable($meno_suboru)) {
    //najskor skusim, ci sa da subor zapisovat
    if (!$handle = fopen($meno_suboru, 'a')) {
		 echo "<div id=\"content\" class=\"content\">";
		 echo "<div class=\"pasik\">Chyba pri inštalácií</div>";
		 echo "<div class=\"sirka_pasik\">";
         echo "Nemôžem otvoriť súbor ".$meno_suboru." na zápis v móde \'a\'<br />Zmeňte práva príkazom chmod! (Prihláste sa cez FTP a napíšte quote site chmod 606 \"db_conf.php\")";
		 echo "Po zmenách prosím opakujte inštaláciu znova.";
		 echo "</div>";
		 echo "</div>";
         exit;
    }
    // zapisem obsah do otvoreneho suboru
    if (fwrite($handle, $obsahu_suboru) === FALSE) {
		 echo "<div id=\"content\" class=\"content\">";
	    echo "<div class=\"pasik\">Chyba pri inštalácií</div>";
		echo "<div class=\"sirka_pasik\">";
        echo "Nemôžem zapisovať konfiguračné údaje do súboru ".$meno_suboru."<br />";
		echo "(Prihláste sa cez FTP a napíšte quote site chmod 606 \"db_conf.php\")";
		echo "Po zmenách prosím opakujte inštaláciu znova.";
		echo "</div>";
		echo "</div>";
        exit;
    }
	echo "<div id=\"content\" class=\"content\">";
	echo "<div class=\"pasik\">Potvrdenie kroku inštalácie</div>";
	echo "<div class=\"sirka_pasik\">";
    echo "Podarilo sa zapísať konfiguračné údaje do súboru ".$meno_suboru."<br />";
	echo "Sú to tieto konfiguračné údaje: <br />";
	echo "Meno databázy: ".$dbname_." <br />Užívateľ databázy: ".$dbuser_."<br />Host databázy: ".$dbhost_."<br />Heslo k databáze: ".$dbpass_."<br />";
	$meno_suboru="db_conf.php";
	if(file_exists($meno_suboru)){
	require_once($meno_suboru);
	}else{
	echo("Nenašiel som súbor ".$meno_suboru." pre vloženie do skriptu. Ukončím vykonávanie skriptu.");
	exit;
	}
	$db=new db_installer();
	$db->inst_db($dbname_,$dbuser_,$dbhost_,$dbpass_);
	echo "</div>";
	echo "</div>";
	
    fclose($handle);
} else {
    echo "<div class=\"pasik\">Chyba pri inštalácií</div>";
	echo "<div class=\"sirka_pasik\">";
    echo "Zistilo sa, že do súboru sa nedá zapisovať. Buď neexistuje alebo nemáte právo zapisovať do neho.<br />";
	echo "Riešenie: Prihláste sa na server pomocou FTP a spustite príkaz quote site chmod 606 \"db_conf.php\" <br />";
	echo "Po zmene práv na zápis, opakujte prosím inštaláciu systému GenY.<br />";
	echo "</div>";
	}


}
//tato funkcia skontroluje, ci je uz db_conf.php naplneny
function check_if_full($name){
  if(file_exists($name) && filesize($name)>0){
    	return true;
  }else{
  		return false;
  }
}

//tato funkcia skontroluje, ci pouzivate php verziu minimalne 5 a vyssie
//ak nepouzivate taku verziu, zastavi vykonavanie skriptov, lebo so starsou verziou nie su kompatibilné
function check_php_ver(){
	$ver=phpversion();
	if($ver[0]<5){
	beginning_of_file2();
	content3_of_file();
	end_of_file();	
	exit;
	}
}

?>
